# Fields

Fields are additional types of metadata that you can attach to [file entries](./entry.md). Like [tags](./tag.md), fields are not stored inside files themselves nor in sidecar files, but rather inside the respective TagStudio [library](index.md) save file.

## Field Types

### Text Line

A string of text, displayed as a single line.

-   e.g: Title, Author, Artist, URL, etc.

### Text Box

A long string of text displayed as a box of text.

-   e.g: Description, Notes, etc.

### Datetime [WIP]

A date and time value.

-   e.g: Date Published, Date Taken, etc.
